// import React from 'react'
import App from './App'
import { connect } from 'react-redux'
import {reservedTogglerAC, setSelectedDateIndexAC, setSelectedTimeIndexAC} from '../reducer'

let mapStateToProps = (state) => {
    return {
        seats: state.App.seats,

        currentDate: state.App.currentDate,
        
        dateSelect: state.App.dateSelect,
        timeSelect: state.App.timeSelect,
        
        selectedDateIndex: state.App.selectedDateIndex,
        selectedTimeIndex: state.App.selectedTimeIndex,
    }
}

let mapDispathToProps = (dispath) => {
    return {
        reservedToggler: (id) => {
            dispath(reservedTogglerAC(id))
        },
        setSelectedDateIndex: (index) => {
            dispath(setSelectedDateIndexAC(index))
        },
        setSelectedTimeIndex: (index) => {
            dispath(setSelectedTimeIndexAC(index))
        },   
        
    }
}

const AppContainer = connect(mapStateToProps, mapDispathToProps)(App)

 export default AppContainer
