import React from 'react';
import './../App.css';

const App = (props) => {
  
  let places = props.seats.map(place => <span onClick={() => { props.reservedToggler(place.id) }}
    className={place.reserved ? "place-active" : "place"} key={place.id}>{place.id}</span>)

  return (
    <div className="App">
      <div>
        <p>Текущая дата: {props.currentDate}</p>
        <p>Выберите дату и время</p>
        {console.log(props)}
        <select >
          {props.dateSelect.map((date, index) => <option  onClick={() => props.setSelectedDateIndex(index)} key={date} value={date} selected={index===props.selectedDateIndex?'selected':''}>{date}</option>)}
          
        </select>
       
        

        <select value={props.timeSelect.time}>
          {props.timeSelect.map((time, index) => <option onClick={() => props.setSelectedTimeIndex(index)}  key={time.time} value={time.time}
                                                         selected={index===props.selectedTimeIndex?'selected':''}>{time.time}</option>)}
        </select>
        <div className="places">
          <p>Выберите место</p>
          {places}
        </div>

      </div>
      <button>Забронировать выбранные места</button>
    </div>
  );
}


export default App;
